curl --location 'https://seu-dominio.com/webhooks/dotfy?event=charge-paid-boleto' \
--header 'X-Webhook-Signature: t=1721053800000,v1=<hex_de_HMAC_SHA256(secret, timestamp + '\''.'\'' + body)>' \
--header 'X-Webhook-Event: EVENT:CHARGE_PAID' \
--header 'X-Webhook-ID: clev_boleto_0001' \
--header 'X-Webhook-Timestamp: 2026-07-15T14:30:00.000Z' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"event": "EVENT:CHARGE_PAID",
"timestamp": "2026-07-15T14:30:00.000Z",
"data": {
"id": "clch_boleto_0001",
"externalId": "boleto_api_1714000000000_a1b2c3d4e5",
"correlationId": "boleto_api_1714000000000_a1b2c3d4e5",
"amount": 12990,
"status": "PAID",
"paymentMethod": "BOLETO",
"boleto": {
"line": "23793.38128 60007.827136 95000.063305 8 84410000012990",
"dueAt": "2026-07-17T12:00:00.000Z"
},
"customer": {
"name": "Maria Souza",
"document": "390.***.**7-05",
"email": "maria@exemplo.com",
"phone": "+55 11 99999-8888"
},
"paidAt": "2026-07-15T14:30:00.000Z"
}
}'